Eliminar un lote de campañas
curl --request POST \
--url https://api.hubapi.com/marketing/campaigns/2026-03/batch/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/marketing/campaigns/2026-03/batch/archive"
payload = { "inputs": [{ "id": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{id: '<string>'}]})
};
fetch('https://api.hubapi.com/marketing/campaigns/2026-03/batch/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Lote
Delete campaigns
Este punto de terminación elimina un lote de campañas. El número máximo de elementos en una solicitud por lotes es 50. La respuesta siempre será 204 No hay contenido, independientemente de si las campañas existen o no, si fueron eliminadas con éxito o no, o si solo algunas de las campañas en el lote fueron eliminadas.
POST
/
marketing
/
campaigns
/
2026-03
/
batch
/
archive
Eliminar un lote de campañas
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
application/json
Un conjunto de objetos PublicCampaignDeleteInput, cada uno de los cuales especifica una campaña que se eliminará. Cada objeto debe incluir el identificador único de la campaña.
Show child attributes
Show child attributes
Respuesta
Última modificación el 3 de abril de 2026
⌘I